Package ru.bitel.bgbilling.kernel.contract.function.server.bean

# Class PaymentModule

java.lang.Object
ru.bitel.bgbilling.kernel.contract.function.server.bean.PaymentModule

public class PaymentModule extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `bitel.billing.server.ModuleBase`
  `getModule()`
  `int`
  `getModuleId()`
  `String`
  `getModuleName()`
  `String`
  `getModuleTitle()`
  `List<PaymentMethod>`
  `getPaymentMethods()`
  `PaymentMode`
  `getPaymentMode()`
  `PaymentModule`
  `setModule(bitel.billing.server.ModuleBase module)`
  `PaymentModule`
  `setModuleId(int moduleId)`
  `PaymentModule`
  `setModuleName(String moduleName)`
  `PaymentModule`
  `setModuleTitle(String moduleTitle)`
  `PaymentModule`
  `setPaymentMethods(List<PaymentMethod> paymentMethods)`
  `PaymentModule`
  `setPaymentMode(PaymentMode paymentMode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaymentModule

    public PaymentModule()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public PaymentModule setModuleId(int moduleId)

  - ### getModuleName

    public String getModuleName()

  - ### setModuleName

    public PaymentModule setModuleName(String moduleName)

  - ### getModuleTitle

    public String getModuleTitle()

  - ### setModuleTitle

    public PaymentModule setModuleTitle(String moduleTitle)

  - ### getModule

    public bitel.billing.server.ModuleBase getModule()

  - ### setModule

    public PaymentModule setModule(bitel.billing.server.ModuleBase module)

  - ### getPaymentMethods

    public List<PaymentMethod> getPaymentMethods()

  - ### setPaymentMethods

    public PaymentModule setPaymentMethods(List<PaymentMethod> paymentMethods)

  - ### getPaymentMode

    public PaymentMode getPaymentMode()

  - ### setPaymentMode

    public PaymentModule setPaymentMode(PaymentMode paymentMode)